org.appng.appngizer

## Class AppNGizer

- java.lang.Object
- - org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport
  - - org.appng.appngizer.AppNGizer

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware

      @Configuration
       @EnableTransactionManagement
       @EnableJpaRepositories(basePackages="org.appng.core.repository",
                             repositoryBaseClass=SearchRepositoryImpl.class)
      public class AppNGizer
      extends org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNGizer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addInterceptors(org.springframework.web.servlet.config.annotation.InterceptorRegistry registry)`
    `void` | `configureMessageConverters(List<org.springframework.http.converter.HttpMessageConverter<?>> converters)`
    `static AppNGizerConfigurer` | `configurer(org.springframework.core.io.ResourceLoader loader)`
    `org.springframework.context.support.ConversionServiceFactoryBean` | `conversionService()`
    `CoreService` | `coreService()`
    `DatabaseService` | `databaseService()`
    `DataSourceFactory` | `datasource(AppNGizerConfigurer configurer)`
    `org.springframework.orm.jpa.support.SharedEntityManagerBean` | `entityManager(javax.persistence.EntityManagerFactory emf)`
    `org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean` | `entityManagerFactory(DataSource dataSource, javax.validation.ValidatorFactory validatorFactory, String hibernateDialect)`
    `Jaxb2Marshaller` | `jaxb2Marshaller()`
    `LdapService` | `ldapService()`
    `MarshallService` | `marshallService()`
    `org.springframework.context.MessageSource` | `messageSource()`
    `PlatformEventListener` | `platformEventListener()`
    `TemplateService` | `templateService()`
    `org.springframework.orm.jpa.JpaTransactionManager` | `transactionManager(javax.persistence.EntityManagerFactory emf)`
    `javax.validation.ValidatorFactory` | `validatorFactoryBean(org.springframework.context.MessageSource messageSource)`

    - ### Methods inherited from class org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport

      `addArgumentResolvers, addCorsMappings, addDefaultHandlerExceptionResolvers, addDefaultHttpMessageConverters, addFormatters, addResourceHandlers, addReturnValueHandlers, addViewControllers, beanNameHandlerMapping, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configurePathMatch, configureViewResolvers, createExceptionHandlerExceptionResolver, createRequestMappingHandlerAdapter, createRequestMappingHandlerMapping, defaultServletHandlerMapping, extendHandlerExceptionResolvers, extendMessageConverters, getApplicationContext, getArgumentResolvers, getConfigurableWebBindingInitializer, getCorsConfigurations, getDefaultMediaTypes, getInterceptors, getMessageCodesResolver, getMessageConverters, getPathMatchConfigurer, getReturnValueHandlers, getServletContext, getValidator, handlerExceptionResolver, httpRequestHandlerAdapter, mvcContentNegotiationManager, mvcConversionService, mvcHandlerMappingIntrospector, mvcPathMatcher, mvcResourceUrlProvider, mvcUriComponentsContributor, mvcUrlPathHelper, mvcValidator, mvcViewResolver, requestMappingHandlerAdapter, requestMappingHandlerMapping, resourceHandlerMapping, setApplicationContext, setServletContext, simpleControllerHandlerAdapter, viewControllerHandlerMapping`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppNGizer

          public AppNGizer()

  - ### Method Detail

    - #### configureMessageConverters

          public void configureMessageConverters(List<org.springframework.http.converter.HttpMessageConverter<?>> converters)

      Overrides:
        `configureMessageConverters` in class `org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport`

    - #### jaxb2Marshaller

          @Bean
          public Jaxb2Marshaller jaxb2Marshaller()

    - #### addInterceptors

          protected void addInterceptors(org.springframework.web.servlet.config.annotation.InterceptorRegistry registry)

      Overrides:
        `addInterceptors` in class `org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport`

    - #### configurer

          @Bean
          public static AppNGizerConfigurer configurer(org.springframework.core.io.ResourceLoader loader)

    - #### platformEventListener

          @Bean
          public PlatformEventListener platformEventListener()

    - #### transactionManager

          @Bean
          public org.springframework.orm.jpa.JpaTransactionManager transactionManager(javax.persistence.EntityManagerFactory emf)

    - #### entityManager

          @Bean
          public org.springframework.orm.jpa.support.SharedEntityManagerBean entityManager(javax.persistence.EntityManagerFactory emf)

    - #### entityManagerFactory

          @Bean
          public org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean entityManagerFactory(DataSource dataSource,
                                                                                                               javax.validation.ValidatorFactory validatorFactory,
                                                                                                               @Value(value="${hibernate.dialect}")
                                                                                                               String hibernateDialect)

    - #### validatorFactoryBean

          @Bean
          public javax.validation.ValidatorFactory validatorFactoryBean(org.springframework.context.MessageSource messageSource)

    - #### datasource

          @Bean
          public DataSourceFactory datasource(AppNGizerConfigurer configurer)

    - #### messageSource

          @Bean
          public org.springframework.context.MessageSource messageSource()

    - #### marshallService

          @Bean
          public MarshallService marshallService()
                                                throws JAXBException

      Throws:
        `JAXBException`

    - #### conversionService

          @Bean
          public org.springframework.context.support.ConversionServiceFactoryBean conversionService()

    - #### databaseService

          @Bean
          public DatabaseService databaseService()

    - #### ldapService

          @Bean
          public LdapService ldapService()

    - #### coreService

          @Bean
          public CoreService coreService()

    - #### templateService

          @Bean
          public TemplateService templateService()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.